Get NFTs By Account
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the sorting criteria for the results. Multiple fields can be used for sorting. |
Query Fields
Parameter | Type | Description |
|---|---|---|
amount | integer | The amount of the asset. |
is_fungible_v2 | boolean | Whether the token is fungible (v2). |
is_soulbound_v2 | boolean | Whether the token is soulbound (v2). |
last_transaction_timestamp | string | The timestamp of the last transaction (ISO 8601 format). |
non_transferrable_by_owner | boolean | Whether the token cannot be transferred by the owner. |
last_transaction_version | integer | The version of the last transaction. |
owner_address | string | The address of the owner. |
property_version_v1 | integer | The property version (v1). |
storage_id | string | The storage ID. |
table_type_v1 | string | The table type (v1). |
token_data_id | string | The token data ID. |
token_properties_mutated_v1 | object | The mutated token properties (v1). |
token_standard | string | The token standard. |
current_token_data | object | The current token data. |
current_token_data.collection_id | string | The collection ID. |
current_token_data.token_name | string | The token name. |
current_token_data.current_collection.creator_address | string | The address of the collection creator. |
Example
Request Example
query MyQuery {
current_token_ownerships_v2(
limit: 5
offset: 0
where: {
owner_address: {
_eq: "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50"
}
}
) {
amount
is_fungible_v2
is_soulbound_v2
last_transaction_timestamp
non_transferrable_by_owner
last_transaction_version
owner_address
property_version_v1
storage_id
table_type_v1
token_data_id
token_properties_mutated_v1
token_standard
current_token_data {
collection_id
token_name
current_collection {
creator_address
}
}
}
}
Response Example
{
"data": {
"current_token_ownerships_v2": [
{
"amount": 1,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2023-03-13T14:46:48.598565",
"non_transferrable_by_owner": null,
"last_transaction_version": 101373336,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"property_version_v1": 0,
"storage_id": "0xaaec6b5fb09d5b366805e2fc5e572f79cca9d6301e488df4d7b901c84690c438",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x054a080100a8e82af919ed4a7ebf9a9f81a08c644e5b9e7dbe789e451d22607e",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x92c681b47797568f7513421a7cc1d47d349a71af66cd91794844543ff5430c67",
"token_name": "Aptos Wizards #1878",
"current_collection": {
"creator_address": "0x6d4336aeac8441314cacdd42ea7aae57b3fad71ea26a00186a23eb8f1fa19ffb"
}
}
},
{
"amount": 0,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2023-03-26T21:47:45.071111",
"non_transferrable_by_owner": null,
"last_transaction_version": 108478394,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"property_version_v1": 0,
"storage_id": "0xaaec6b5fb09d5b366805e2fc5e572f79cca9d6301e488df4d7b901c84690c438",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x1eb27f897040b5ae8cf236591354658a2044703bf46307687f916651ca317bda",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x92c681b47797568f7513421a7cc1d47d349a71af66cd91794844543ff5430c67",
"token_name": "Aptos Wizards #4221",
"current_collection": {
"creator_address": "0x6d4336aeac8441314cacdd42ea7aae57b3fad71ea26a00186a23eb8f1fa19ffb"
}
}
},
{
"amount": 1,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2023-03-13T14:45:35.559029",
"non_transferrable_by_owner": null,
"last_transaction_version": 101372787,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"property_version_v1": 0,
"storage_id": "0xaaec6b5fb09d5b366805e2fc5e572f79cca9d6301e488df4d7b901c84690c438",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0x31fbc8f003e25e677d6cc2e365a5cb17e8dda52b463eb881cd7def4c9399ecb8",
"token_properties_mutated_v1": {},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x60cb359e22ba60dcf7ed32fd13cdb90e547e194e5ca27703e95ec7ad29633bba",
"token_name": "Punk #1288",
"current_collection": {
"creator_address": "0x185479c6c8d8d649c9203938f322e783a11a3101006ee8c39ace252f99b9d155"
}
}
},
{
"amount": 1,
"is_fungible_v2": null,
"is_soulbound_v2": null,
"last_transaction_timestamp": "2023-03-15T09:48:18.025766",
"non_transferrable_by_owner": null,
"last_transaction_version": 102297836,
"owner_address": "0x274c398a921b8e2ba345feac3039e1c8b196a7eb1395cdd3584af3a85eb9ec50",
"property_version_v1": 1,
"storage_id": "0xaaec6b5fb09d5b366805e2fc5e572f79cca9d6301e488df4d7b901c84690c438",
"table_type_v1": "0x3::token::TokenStore",
"token_data_id": "0xfc09b54d859a56b4d33d169f845e03429c4484afffe0dc85cad0601cf50fc9a2",
"token_properties_mutated_v1": {
"type": "domain",
"creation_time_sec": "1678873698",
"expiration_time_sec": "1710409698"
},
"token_standard": "v1",
"current_token_data": {
"collection_id": "0x09e63a48047b1c2bc51c0abc4b67ffcd9922e0adc99a6cc36532662172976a4b",
"token_name": "reuben.apt",
"current_collection": {
"creator_address": "0x305a97874974fdb9a7ba59dc7cab7714c8e8e00004ac887b6e348496e1981838"
}
}
}
]
}
}